require './lib/tradecow'

Tradecow.configure do |config|
  # l
  # config.access_key = '05592582-f74a34a3-rfhfg2mkl3-d10d1'
  # config.secret_key = '2c5ac248-ebe5c4a0-39239145-efa2c'

  # q
  # config.access_key = '73a27f61-2eaa9308-mk0lklo0de-d1da6'
  # config.secret_key = '4a76c9c6-6757d921-985ca76d-88815'
end

def get_future_info coin
  data = JSON.parse(Tradecow::Future.contract_position_info(coin))['data']
  if data.nil? || data.empty?
    puts "No #{coin} in your account."
  else
    data.map do |x|
      puts "#{x["contract_code"]}, #{x["available"]}"
    end
  end
end

def close coin, volume
  # Volume 张
  # Tradecow::Future.contract_order 'ltc210924', 100, 'buy', 'close', 'optimal_20'
  r = Tradecow::Future.contract_order coin, volume, 'buy', 'close', 'optimal_20'
  puts r
end

def contract_account_info coin
  JSON.parse(Tradecow::Future.contract_account_info(coin).parsed_response)["data"].first["withdraw_available"]
end

def transfer trans, amount, coin
  # 盈利部分实时结算列表:
  # BTC, ETH, LTC, LINK, TRX, XRP, ADA
  # 
  # spot to future: "pro-to-futures"
  # future to spot: "futures-to-pro"
  # 最多8位
  Tradecow::Account.transfer(trans, amount, coin)
end

def sell coin, type, amount=nil
  # 即btcusdt, ethbtc...
  # sell-market
  Tradecow::Spot.place_order coin, type, amount
end

def run
  get_future_info 'eth'
  close 'ETH210625', 743
  # amount = contract_account_info('eth')
  transfer('futures-to-pro', contract_account_info('eth').truncate(8), 'eth')
  sell('eth', 'ethusdt', 'sell-market', nil)
end
# Steps
# 1. 检查合约张数
# get_future_info 'btc'
# 2. 合约平仓buy, close
# close 'btc210924', 100
# 3. 检查合约账户余额
# contract_account_info 'btc'
# 4. 划转到币币账户
# transfer
# 5. 币币交易，卖
# sell