require 'uri'

module Tradecow
  class << self
    attr_accessor :access_key, :secret_key
  end

  def self.configure
    yield self
  end

  def self.req_url host, path, params
    "#{host}#{path}?#{params}"
  end

  def self.spot_url
    "api.huobi.pro"
  end

  def self.spot_ful_url
    "https://api.huobi.pro"
  end

  def self.future_url
    "api.hbdm.com"
  end
  
  def self.future_ful_url
    "https://api.hbdm.com"
  end
end

